Jre21Compat (Apache Tomcat 10.1.14 API Documentation)

Package org.apache.tomcat.util.compat

## Class Jre21Compat

- java.lang.Object
- - org.apache.tomcat.util.compat.JreCompat
  - - org.apache.tomcat.util.compat.Jre19Compat
    - - org.apache.tomcat.util.compat.Jre21Compat

- Direct Known Subclasses:
    `Jre22Compat`

      public class Jre21Compat
      extends Jre19Compat

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Jre21Compat()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `createVirtualThreadBuilder​(String name)` | Create a thread builder for virtual threads using the given name to name the threads.
    `SocketAddress` | `getUnixDomainSocketAddress​(String path)` | Return Unix domain socket address for given path.
    `ServerSocketChannel` | `openUnixDomainServerSocketChannel()` | Create server socket channel using the Unix domain socket ProtocolFamily.
    `SocketChannel` | `openUnixDomainSocketChannel()` | Create socket channel using the Unix domain socket ProtocolFamily.
    `void` | `threadBuilderStart​(Object threadBuilder, Runnable command)` | Create a thread with the given thread builder and use it to execute the given runnable.

    - ### Methods inherited from class org.apache.tomcat.util.compat.Jre19Compat

      `getExecutor`

    - ### Methods inherited from class org.apache.tomcat.util.compat.JreCompat

      `getInstance, isGraalAvailable, isJre16Available, isJre19Available, isJre21Available, isJre22Available`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Jre21Compat

          public Jre21Compat()

  - ### Method Detail

    - #### createVirtualThreadBuilder

          public Object createVirtualThreadBuilder​(String name)

      Description copied from class: `JreCompat`
      Create a thread builder for virtual threads using the given name to name the threads.
      Overrides:
        `createVirtualThreadBuilder` in class `JreCompat`
      Parameters:
        `name` - The base name for the threads
      Returns:
        The thread buidler for virtual threads

    - #### threadBuilderStart

          public void threadBuilderStart​(Object threadBuilder,
                                         Runnable command)

      Description copied from class: `JreCompat`
      Create a thread with the given thread builder and use it to execute the given runnable.
      Overrides:
        `threadBuilderStart` in class `JreCompat`
      Parameters:
        `threadBuilder` - The thread builder to use to create a thread
        `command` - The command to run

    - #### getUnixDomainSocketAddress

          public SocketAddress getUnixDomainSocketAddress​(String path)

      Description copied from class: `JreCompat`
      Return Unix domain socket address for given path.
      Overrides:
        `getUnixDomainSocketAddress` in class `JreCompat`
      Parameters:
        `path` - The path
      Returns:
        the socket address

    - #### openUnixDomainServerSocketChannel

          public ServerSocketChannel openUnixDomainServerSocketChannel()

      Description copied from class: `JreCompat`
      Create server socket channel using the Unix domain socket ProtocolFamily.
      Overrides:
        `openUnixDomainServerSocketChannel` in class `JreCompat`
      Returns:
        the server socket channel

    - #### openUnixDomainSocketChannel

          public SocketChannel openUnixDomainSocketChannel()

      Description copied from class: `JreCompat`
      Create socket channel using the Unix domain socket ProtocolFamily.
      Overrides:
        `openUnixDomainSocketChannel` in class `JreCompat`
      Returns:
        the socket channel